Anonymous Login
2017-08-23 00:18 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001764OpenClonkGraphicspublic2017-08-14 15:13
Reporterala 
Assigned To 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version7.0 
Target Version8.0Fixed in Version 
Summary0001764: Carry heavy object disappears while swimming
DescriptionThis was reported by Dmyst: http://forum.openclonk.org/topic_show.pl?pid=32069

While he was quite rude I still think some of his suggestions are quite good feedback.

"- Barrel is missing when swimming (its there when climbing on the back)"

All carry heavy objects disappear while swimming, this doesn't look great and might seem confusing to a new player.

So there are two ways to deal with this:
Attach the object somewhere on the back while swimming.
or: Disable swimming with a carry heavy object. (make it drop for example).

Depending on what Clonkonaut had in mind for the Carry Heavy branch, the latter could planned already.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005155

Armin (reporter)

I also think that dropping the object in SwimStart is the best solution since this is absolutely an very athletic thing.

~0005162

Clonkonaut (developer)

To be fair: everything the clonk currently does with carry heavy objects is not humanly possible. I am pretty sure no one in the world can lift a barrel about 2/3 the size of an average human, completely filled with water. ;) Or a metal barrel filled with lava!

Soo, we cannot really talk in terms of 'realism' with this one. It is true that the barrel disappears when swimming. It also disappears (iirc) when doing other stuff like tumbling or rolling. In some cases it just looks odd to display these objects or it would even intersect with the clonk's mesh and look bad. The hand items a clonk carries by the way also disappear when swimming because swim stroking with a hammer in hand looks equally odd.

Letting these objects drop without any warning might turn out very frustating, especially when more and more objects become carry heavy. It's probably something that, even after you learned about it, you'll constantly forget and therefore inadvertently drop a lot of stuff into the abyss of never-reclaimable doom. But seriously if these things can't be picked up in water, it will be a pain to retrieve something important. The barrel handling will get a lot worse. You need to get it into water to fill it, how do you get it out afterwards?

~0005163

Armin (reporter)

I never thought about realism I was only thinking about the carry heavy concept. Err... the possibility to scale and hangle with carry heavy objects is only temporary until the transport system is more advanced, isn't it?

~0005164

Clonkonaut (developer)

Last edited: 2016-06-27 14:13

View 2 revisions

Yeah, I'm planning to finish the transport system before redoing the limitations on scaling / hangling.

But whether this idea will persist is then subject to heavy playtesting. Sven raised considerable concerns of this being too frustrating. And as always: if something significantly reduces fun, it's probably a bad design choice!

~0005165

Clonkonaut (developer)

However, this still leaves the question unanswered:

If swimming is limited, how do you handle a barrel?

~0005168

Armin (reporter)

Ah right, true. The barrel looks pretty nice as a carry heavy object and loosing it underwater would be super annoying.

So then put the objects on the back of the swimming Clonk animation I guess.

~0005710

Fulgen (reporter)

Fixed in https://github.com/Fulgen301/openclonk/commit/c6515d98bcb9be06a78c508ffdf0824d63c69e99
+Notes

-Issue History
Date Modified Username Field Change
2016-06-26 01:48 ala New Issue
2016-06-26 10:00 Armin Note Added: 0005155
2016-06-27 11:35 Clonkonaut Note Added: 0005162
2016-06-27 13:36 Armin Note Added: 0005163
2016-06-27 13:40 Clonkonaut Note Added: 0005164
2016-06-27 13:41 Clonkonaut Note Added: 0005165
2016-06-27 14:04 Armin Note Added: 0005168
2016-06-27 14:13 Clonkonaut Note Edited: 0005164 View Revisions
2017-08-05 15:58 Maikel Target Version => 8.0
2017-08-08 21:24 Fulgen Note Added: 0005710
2017-08-14 15:13 Caesar Status new => resolved
2017-08-14 15:13 Caesar Resolution open => fixed
+Issue History